Subject: Re: RDMA will be reverted

From: Tom Tucker <[email-masked]>
Date: Thu, 06 Jul 2006 12:36:24 -0500

On Fri, 2006-07-07 at 00:08 +1000, Herbert Xu wrote:
> Tom Tucker <[email-masked]> wrote:
> > 
> > All that said, the proposed patch helps not only iWARP, but other
> > transports (iSCSI, IB) as well. It is not large, invasive,
> 
> Care to explain on how it helps those other technologies?

The RDMA CMA uses IP addresses and port numbers to create a uniform
addressing scheme across all transport types. For IB, it is necessary to
resolve IP addresses to IB GIDs. The ARP protocol is used to do this and
a netfilter rule is installed to snoop the incoming ARP replies. This
would not be necessary if ARP events were provided as in the patch. 

Unified wire iSCSI adapters have the same issue as iWARP wrt to managing
IP addresses and ports.

> Cheers,